import com.LabJack.LabJackJNI;
import com.LabJack.LabJackWrapper;
import com.LabJack.LabJackException;

/**
 * This program show how to set the TTL IO outputs
 * using com.LabJack.LabJackWrapper.ioOut().
 */
public class IoOut
{
	public static void main( String args[] )
	{
		LabJackWrapper lj = new LabJackWrapper( -1 );

		try 
		{
			// set the TTL value on all 4 IO outputs low.
			for( int idx = 0; idx < 4; idx++ )
			{
				lj.ioOut( idx, 0 );
			}
		}
		catch( LabJackException ex )
		{
			ex.printStackTrace();
		}
	}
}
